WordPress – Stopping it from prompting for FTP credentials for upgrade or instal

Home Forums WordPress Misc WordPress – Stopping it from prompting for FTP credentials for upgrade or instal

This topic contains 0 replies, has 1 voice, and was last updated by Z Z 1 year, 6 months ago.

Viewing 1 post (of 1 total)
  • Author
    Posts
  • #293
    Z
    Z
    Keymaster

    If WordPress is prompting you for FTP credentials when you’re trying to upgrade or install something, try this:

    Find out what user is running the web server by typing:
    ps aux | grep ‘apache’
    The command will return something similar to this:
    root@ubuntu-box:/# ps aux | grep ‘apache’
    root 1933 0.0 2.3 44900 12032 ? Ss Aug25 15:09 /usr/sbin/apache2 -k start
    webuser 2572 0.0 6.2 66468 30246 ? S Mar10 0:04 /usr/sbin/apache2 -k start
    webuser 6045 0.0 6.4 66884 31562 ? S Mar10 0:07 /usr/sbin/apache2 -k start
    webuser 6786 0.0 5.6 64156 27632 ? S Mar10 0:10 /usr/sbin/apache2 -k start
    This tells you that the web server is running under the user webuser.

    You can now give that user recursive ownership (all subfolders) of your WordPress installation using the command:
    chown -hR webuser:webuser /var/www

Viewing 1 post (of 1 total)

You must be logged in to reply to this topic.